<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <title>What is documented :: Wovalab open-source projects</title>
    <link rel="canonical" href="https://wovalab.gitlab.io/open-source/docs/antidoc-addon-toolkit/latest/what-is-documented.html">
    <meta name="generator" content="Antora 3.0.2">
    <link rel="stylesheet" href="../../_/css/site.css">
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-3KJN6K6QRD"></script>
    <script>function gtag(){dataLayer.push(arguments)};window.dataLayer=window.dataLayer||[];gtag('js',new Date());gtag('config','G-3KJN6K6QRD')</script>
    <script>var uiRootPath = '../../_'</script>
    <link rel="icon" href="../../favicon.ico" type="image/x-icon">  </head>
  <body class="article">
<header class="header">
  <nav class="navbar">
    <div class="navbar-brand">
      <a class="navbar-item logo" title="Wovalab" href="https://www.wovalab.com"><img src="../../_/img/wovalab-light-vertical.svg" alt="Wovalab" width="64"></a>
      <a class="navbar-item" href="https://wovalab.gitlab.io/open-source/docs">Wovalab open-source projects</a>
      <div class="navbar-item search hide-for-print">
        <div id="search-field" class="field">
          <input id="search-input" type="text" placeholder="Search the docs">
          <label class="filter checkbox">
            <input type="checkbox" data-facet-filter="component:antidoc-addon-toolkit" checked> In this project
          </label>
        </div>
      </div>
      <button class="navbar-burger" data-target="topbar-nav">
        <span></span>
        <span></span>
        <span></span>
      </button>
    </div>
  </nav>
</header>
<div class="body">
<div class="nav-container" data-component="antidoc-addon-toolkit" data-version="2.0">
  <aside class="nav">
    <div class="panels">
<div class="nav-panel-menu is-active" data-panel="menu">
  <nav class="nav-menu">
    <h3 class="title"><a href="index.html">Antidoc add-on: LabVIEW toolkit</a></h3>
<ul class="nav-list">
  <li class="nav-item" data-depth="0">
<ul class="nav-list">
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="index.html">What&#8217;s new</a>
  </li>
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="general-info.html">General information</a>
  </li>
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="how-to.html">How to generate the document</a>
  </li>
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="doc-samples.html">Documentation showcase</a>
  </li>
</ul>
  </li>
</ul>
  </nav>
</div>
<div class="nav-panel-explore" data-panel="explore">
  <div class="context">
    <span class="title">Antidoc add-on: LabVIEW toolkit</span>
    <span class="version">2.0</span>
  </div>
  <ul class="components">
    <li class="component">
      <a class="title" href="../../asciidoc-toolkit/latest/index.html">AsciiDoc toolkit</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../asciidoc-toolkit/latest/index.html">1.8</a>
        </li>
        <li class="version">
          <a href="../../asciidoc-toolkit/1.7/index.html">1.7</a>
        </li>
        <li class="version">
          <a href="../../asciidoc-toolkit/1.6/index.html">1.6</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../antidoc/latest/index.html">Antidoc</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../antidoc/latest/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../antidoc-addon-lvproj/latest/index.html">Antidoc add-on: LabVIEW project</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../antidoc-addon-lvproj/latest/index.html">2.1</a>
        </li>
        <li class="version">
          <a href="../../antidoc-addon-lvproj/2.0/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component is-current">
      <a class="title" href="index.html">Antidoc add-on: LabVIEW toolkit</a>
      <ul class="versions">
        <li class="version is-current is-latest">
          <a href="index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../cli-tool-for-antidoc/latest/index.html">Antidoc CLI</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../cli-tool-for-antidoc/latest/index.html">2.1</a>
        </li>
        <li class="version">
          <a href="../../cli-tool-for-antidoc/2.0/index.html">2.0</a>
        </li>
        <li class="version">
          <a href="../../cli-tool-for-antidoc/1.2.1/index.html">1.2.1</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../about/index.html">Community</a>
    </li>
  </ul>
</div>    </div>
  </aside>
</div>
<main class="article">
<div class="toolbar" role="navigation">
<button class="nav-toggle"></button>
  <a href="../../index.html" class="home-link"></a>
<nav class="breadcrumbs" aria-label="breadcrumbs">
  <ul>
    <li><a href="index.html">Antidoc add-on: LabVIEW toolkit</a></li>
    <li><a href="what-is-documented.html">What is documented</a></li>
  </ul>
</nav>
  <div class="edit-this-page"><a href="https://gitlab.com/wovalab/open-source/antidoc-document-types/labview-toolkit-manual/edit/docs/v2.0/docs/modules/ROOT/pages/what-is-documented.adoc">Edit this Page</a></div>
  </div>
  <div class="content">
<aside class="toc sidebar" data-title="Contents" data-levels="2">
  <div class="toc-menu"></div>
</aside>
<article class="doc">
<h1 class="page">What is documented</h1>
<div id="preamble">
<div class="sectionbody">
<div class="paragraph">
<p>The add-on parses the lvproj content to find information and build the documentation.</p>
</div>
<div class="paragraph">
<p>The document hierarchy follow the order of the sections below.</p>
</div>
<div class="admonitionblock note">
<table>
<tr>
<td class="icon">
<i class="fa icon-note" title="Note"></i>
</td>
<td class="content">
If content is not find. The corresponding section doesn&#8217;t appear in the documentation generated.<br>
For example, if there is no classes in the project, you&#8217;ll not have a <code>Classes</code> section.
</td>
</tr>
</table>
</div>
</div>
</div>
<div class="sect1">
<h2 id="project-description"><a class="anchor" href="#project-description"></a>Project description</h2>
<div class="sectionbody">
<div class="paragraph">
<p>This section describes your project</p>
</div>
<div class="imageblock unresolved docextract">
<div class="content">
<img src="lvproj-description-in-doc.png" alt="lvproj description in the documentation">
</div>
<div class="title">Figure 1. Project section sample</div>
</div>
<div class="sidebarblock">
<div class="content">
<div class="title">Source of information</div>
<div class="paragraph">
<p>Content comes from the lvproj description.</p>
</div>
<div class="imageblock unresolved">
<div class="content">
<img src="lvproj-description.png" alt="lvproj description">
</div>
</div>
</div>
</div>
</div>
</div>
<div class="sect1">
<h2 id="dqmh-modules"><a class="anchor" href="#dqmh-modules"></a>DQMH&#174; modules</h2>
<div class="sectionbody">
<div class="paragraph">
<p>This section describes DQMH&#174; modules and their relationship contained in your project.</p>
</div>
<div class="paragraph">
<p>The section starts with a table listing all modules in the project and an overall relationship diagram.</p>
</div>
<div class="imageblock unresolved docextract">
<div class="content">
<img src="dqmh-module-overview-in-doc.png" alt="DQMH modules overview in the documentation">
</div>
<div class="title">Figure 2. DQMH&#174; modules overview section sample</div>
</div>
<div class="paragraph">
<p>Then a specific section is created for each module with the following content:</p>
</div>
<div class="ulist">
<ul>
<li>
<p>Module type, Singleton or Cloneable.</p>
</li>
<li>
<p>Responsibility, description of the lvlib file.</p>
</li>
<li>
<p>Event list, all <code>Requests</code>, <code>Requests and Wait For Reply</code>, and <code>Broadcasts</code> available in the module</p>
</li>
<li>
<p>Module relationship:</p>
<div class="ulist">
<ul>
<li>
<p>Diagram between this module and the rest of the project</p>
</li>
<li>
<p>Table listing the <code>Requests</code> callers</p>
</li>
<li>
<p>Table listing the <code>Broadcasts</code> listeners</p>
</li>
<li>
<p>Table listing others module&#8217;s <code>Requests</code> used by this module</p>
</li>
<li>
<p>Table listing others module&#8217;s <code>Broadcasts</code> listened by this module</p>
</li>
</ul>
</div>
</li>
<li>
<p>Module&#8217;s Start and Stop <code>requests</code> callers</p>
</li>
<li>
<p>Module custom errors, list of the custom errors created in the module</p>
</li>
</ul>
</div>
<div class="imageblock unresolved docextract">
<div class="content">
<img src="dqmh-module-in-doc.png" alt="DQMH module section in the documentation">
</div>
<div class="title">Figure 3. DQMH&#174; module section sample</div>
</div>
<div class="sidebarblock">
<div class="content">
<div class="title">Source of information</div>
<div class="paragraph">
<p>Content comes from:</p>
</div>
<div class="ulist">
<ul>
<li>
<p>Module library description.</p>
</li>
<li>
<p><code>Requests</code>, <code>Requests and Wait For Reply</code>, and <code>Broadcasts</code> VIs descriptions.</p>
</li>
<li>
<p>Relationship information are obtained by code analysis.</p>
</li>
</ul>
</div>
</div>
</div>
</div>
</div>
<div class="sect1">
<h2 id="librairies"><a class="anchor" href="#librairies"></a>Librairies</h2>
<div class="sectionbody">
<div class="paragraph">
<p>For each libraries, a specific section is created withe the following content:</p>
</div>
<div class="ulist">
<ul>
<li>
<p>Responsibility, description of the lvlib file.</p>
</li>
<li>
<p>Version, version of the lvlib file.</p>
</li>
<li>
<p>Functions, table of all non-private functions with their, name, Connector pane picture, description, scope setting, reentrancy setting, and inlining setting.</p>
</li>
</ul>
</div>
<div class="imageblock unresolved docextract">
<div class="content">
<img src="lvlib-in-doc.png" alt="lvlib description in the documentation">
</div>
<div class="title">Figure 4. Library section sample</div>
</div>
<div class="sidebarblock">
<div class="content">
<div class="title">Source of information</div>
<div class="paragraph">
<p>Content comes from:</p>
</div>
<div class="ulist">
<ul>
<li>
<p>The lvlib description.</p>
</li>
</ul>
</div>
<div class="imageblock unresolved">
<div class="content">
<img src="lvlib-description.png" alt="lvlib description">
</div>
</div>
<div class="ulist">
<ul>
<li>
<p>The lvlib version.</p>
</li>
</ul>
</div>
<div class="imageblock unresolved">
<div class="content">
<img src="lvlib-version.png" alt="lvlib version">
</div>
</div>
<div class="ulist">
<ul>
<li>
<p>List of VIs owned by the library that are not set to <code>private`scope</code>.</p>
</li>
</ul>
</div>
</div>
</div>
</div>
</div>
<div class="sect1">
<h2 id="classes"><a class="anchor" href="#classes"></a>Classes</h2>
<div class="sectionbody">
<div class="paragraph">
<p>A table lists all classes and interfaces in the project and an UML class diagram is displayed.</p>
</div>
<div class="imageblock unresolved docextract">
<div class="content">
<img src="lvclass-overview-in-doc.png" alt="DQMH modules overview in the documentation">
</div>
<div class="title">Figure 5. Classes overview section sample</div>
</div>
<div class="paragraph">
<p>For each classes, a specific section is created withe the following content:</p>
</div>
<div class="ulist">
<ul>
<li>
<p>Responsibility, description of the lvlib file.</p>
</li>
<li>
<p>Version, version of the lvlib file.</p>
</li>
<li>
<p>UML Class diagram, direct parent class diagram</p>
</li>
<li>
<p>Functions, table of all non-private functions with their, name, Connector pane picture, description, scope setting, reentrancy setting, and inlining setting.</p>
</li>
</ul>
</div>
<div class="imageblock unresolved docextract">
<div class="content">
<img src="lvclass-in-doc.png" alt="lvcass description in the documentation">
</div>
<div class="title">Figure 6. Class section sample</div>
</div>
<div class="sidebarblock">
<div class="content">
<div class="title">Source of information</div>
<div class="paragraph">
<p>Content comes from:</p>
</div>
<div class="ulist">
<ul>
<li>
<p>The lvclass description.</p>
</li>
<li>
<p>The lvclass version.</p>
</li>
<li>
<p>List of VIs owned by the class that are not set to <code>private</code> scope.</p>
</li>
<li>
<p>Class hierarchy diagram are obtained by code analysis.</p>
</li>
</ul>
</div>
</div>
</div>
</div>
</div>
<div class="sect1">
<h2 id="custom-errors"><a class="anchor" href="#custom-errors"></a>Custom errors</h2>
<div class="sectionbody">
<div class="admonitionblock note">
<table>
<tr>
<td class="icon">
<i class="fa icon-note" title="Note"></i>
</td>
<td class="content">
Custom errors find by the Antidoc add-on for LabVIEW toolkit are the one that follow the DQMH&#174; framework way to create custom errors
</td>
</tr>
</table>
</div>
<div class="paragraph">
<p>A table lists all the custom errors find in the project with the following information:</p>
</div>
<div class="imageblock unresolved docextract">
<div class="content">
<img src="custom-errors-in-doc.png" alt="Custom error section in the documentation">
</div>
<div class="title">Figure 7. Custom errors section sample</div>
</div>
<div class="ulist">
<ul>
<li>
<p>Name, name of the error</p>
</li>
<li>
<p>Code, code of the error</p>
</li>
<li>
<p>Description, description of the error</p>
</li>
<li>
<p>Owned by, LabVIEW library that owns the error</p>
</li>
</ul>
</div>
<div class="sidebarblock">
<div class="content">
<div class="title">Source of information</div>
<div class="paragraph">
<p>Content comes from:</p>
</div>
<div class="ulist">
<ul>
<li>
<p>Analysis of VIs that have a name that finish by <code>--error.vi</code></p>
</li>
</ul>
</div>
</div>
</div>
</div>
</div>
</article>
  </div>
</main>
</div>
<footer class="footer">
  <p>Wovalab © 2018-2022</p>
</footer>
<script id="site-script" src="../../_/js/site.js" data-ui-root-path="../../_"></script>
<script async src="../../_/js/vendor/highlight.js"></script>
<script src="../../_/js/vendor/lunr.js"></script>
<script src="../../_/js/search-ui.js" id="search-ui-script" data-site-root-path="../.." data-snippet-length="100" data-stylesheet="../../_/css/search.css"></script>
<script async src="../../search-index.js"></script>
  </body>
</html>
